Retention

Get Retention For Project

GET
/v0/project/{idOrSlug}/retention

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Query Parameters

granularity?|null
cohortFrom*string
cohortTo*string
periodCount?string|null
filters?array<>|string|null
filterMatch?|null
source*string
Value in"web" | "mods"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/project/string/retention?cohortFrom=string&cohortTo=string&source=web"
[
  {
    "cohort": "string",
    "cohortDate": "string",
    "users": 0,
    "periods": [
      {
        "period": 0,
        "usersRetained": 0,
        "retentionRate": 0
      }
    ]
  }
]
{
  "_tag": "UnauthorizedError",
  "message": "string"
}
{
  "_tag": "ForbiddenError",
  "message": "string",
  "code": "string"
}
{
  "_tag": "NotFoundError",
  "message": "string"
}